> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get chat

> retrieve a specific chat thread



## OpenAPI

````yaml /api-reference/openapi.json get /chats/{chat_id}
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /chats/{chat_id}:
    get:
      tags:
        - chat
      summary: get chat
      description: retrieve a specific chat thread
      parameters:
        - name: chat_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                  team_id:
                    title: Team Id
                    type: string
                  project:
                    $ref: '#/components/schemas/ProjectSchema'
                  user:
                    $ref: '#/components/schemas/UserSchema'
                  total_messages:
                    title: Total Messages
                    type: integer
                  code_mapping_id:
                    title: Code Mapping Id
                    type: string
                  analysis_node_id:
                    type: string
                    nullable: true
                  chat_type:
                    $ref: '#/components/schemas/ChatTypeEnum'
                  code_mapping:
                    $ref: '#/components/schemas/CodeMappingSchema'
                  analysis_node:
                    $ref: '#/components/schemas/AnalysisNodeSchema'
                    nullable: true
                required:
                  - id
                  - created_at
                  - team_id
                  - project
                  - user
                  - total_messages
                  - code_mapping_id
                  - chat_type
                  - code_mapping
                title: ChatFullSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ProjectSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        description:
          type: string
        tags:
          items:
            type: string
          title: Tags
          type: array
        team_id:
          title: Team Id
          type: string
        created_by_user_id:
          title: Created By User Id
          type: string
        is_default:
          title: Is Default
          type: boolean
        github_repo_id:
          type: string
      required:
        - id
        - created_at
        - name
        - slug
        - team_id
        - created_by_user_id
        - is_default
      title: ProjectSchema
      type: object
    UserSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - created_at
        - username
      title: UserSchema
      type: object
    ChatTypeEnum:
      enum:
        - code
        - analysis
      title: ChatTypeEnum
      type: string
    CodeMappingSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        project_id:
          title: Project Id
          type: string
        project_slug:
          title: Project Slug
          type: string
        name:
          type: string
        user:
          type: string
        version:
          type: string
        parent_id:
          type: string
      required:
        - id
        - created_at
        - project_id
        - project_slug
        - user
        - version
      title: CodeMappingSchema
      type: object
    AnalysisNodeSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        user:
          type: string
        team_id:
          title: Team Id
          type: string
        team_slug:
          title: Team Slug
          type: string
        project_id:
          title: Project Id
          type: string
        project_slug:
          title: Project Slug
          type: string
        is_owner:
          title: Is Owner
          type: boolean
        trigger:
          type: string
        n_findings:
          title: N Findings
          type: integer
        n_scopes:
          title: N Scopes
          type: integer
        code_version_id:
          title: Code Version Id
          type: string
        is_leaf:
          title: Is Leaf
          type: boolean
        is_public:
          title: Is Public
          type: boolean
        root_node_id:
          title: Root Node Id
          type: string
        parent_node_id:
          type: string
        children:
          items:
            type: string
          title: Children
          type: array
      required:
        - id
        - created_at
        - user
        - team_id
        - team_slug
        - project_id
        - project_slug
        - is_owner
        - trigger
        - n_findings
        - n_scopes
        - code_version_id
        - is_leaf
        - is_public
        - root_node_id
      title: AnalysisNodeSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````